<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <androidx.viewpager.widget.ViewPager
        android:id="@+id/subject_viewpager"
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/subject_tab_container" />

    <View
        android:id="@+id/background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:alpha="0"
        android:background="@color/black"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/subject_tab_container"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/subject_tab_container"
        android:layout_width="0dp"
        android:layout_height="48dp"
        android:background="@color/ui_surface"
        android:visibility="gone"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@+id/subject_viewpager"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible">

        <com.gh.gamecenter.common.view.TabIndicatorView
            android:id="@+id/subject_tab_indicator"
            android:layout_width="0dp"
            android:layout_height="@dimen/default_tab_indicator_height"
            android:layout_marginEnd="8dp"
            app:disableIndicatorScaling="true"
            app:indicatorColor="@color/primary_theme"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/optionIv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_goneMarginEnd="0dp" />

        <com.gh.gamecenter.common.view.NoDefaultMinWidthTabLayout
            android:id="@+id/subject_tab"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginEnd="8dp"
            android:overScrollMode="never"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/optionIv"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginEnd="0dp"
            app:tabIndicator="@null"
            app:tabIndicatorHeight="0dp"
            app:tabMaxWidth="0dp"
            app:tabMode="scrollable"
            app:tabRippleColor="@color/transparent"
            app:tabTextAppearance="@style/ColumnCollectionTabDetailTabTextAppearance" />

        <ImageView
            android:id="@+id/optionIv"
            android:layout_width="28dp"
            android:layout_height="28dp"
            android:layout_marginEnd="16dp"
            android:background="@drawable/bg_shape_ui_container_2_radius_999"
            android:padding="6dp"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/ic_options"
            tools:visibility="visible" />

        <View
            android:id="@+id/maskView"
            android:layout_width="16dp"
            android:layout_height="match_parent"
            android:layout_marginEnd="8dp"
            android:background="@drawable/bg_game_detail_tab_gradient_mask"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toStartOf="@+id/optionIv"
            app:layout_constraintTop_toTopOf="parent"
            tools:visibility="visible" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <FrameLayout
        android:id="@+id/settingContainer"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/subject_tab_container" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/settingGuideContainer"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        tools:visibility="visible">

        <ImageView
            android:id="@+id/settingGuideIv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="36dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/guide_column_collection_custom_setting" />

        <View
            android:id="@+id/skipView"
            android:layout_width="24dp"
            android:layout_height="32dp"
            android:layout_marginEnd="64dp"
            app:layout_constraintBottom_toBottomOf="@+id/settingClickView"
            app:layout_constraintEnd_toStartOf="@+id/settingClickView"
            app:layout_constraintTop_toTopOf="@+id/settingClickView" />

        <View
            android:id="@+id/settingClickView"
            android:layout_width="80dp"
            android:layout_height="32dp"
            android:layout_marginEnd="24dp"
            android:layout_marginBottom="24dp"
            app:layout_constraintBottom_toBottomOf="@+id/settingGuideIv"
            app:layout_constraintEnd_toEndOf="parent" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>